スタッフ取得
GET
/staffs/{staff_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/staffs/example?with_stores=all';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/staffs/example?with_stores=all' \ --header 'Authorization: Bearer <token>'スタッフ情報を取得します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”staff_id
required
string
スタッフID
Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
with_stores
string
店舗情報を付加するか(付加する場合はall, しない場合はnone)
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
staffId
スタッフID:半角数字5桁以内。
string
staffCode
スタッフコード:半角英数20文字以内。
string
staffName
スタッフ名:50文字以内。
string
staffNameKana
スタッフ名カナ:50文字以内。
string
rank
ランク:85文字以内。
string
displayFlag
表示フラグ:表示フラグ。 (0:表示しない、1:表示する)
string
displaySequence
表示順:半角数字9桁以内。
string
loginStaffFlag
ログインフラグ:ログインフラグ。(0:ログイン不可、1:ログイン可、2:認証待ち、3:停止)
string
email
メールアドレス。
string format: email
loginIpAddress
ログイン許可IPアドレス。
string
roleId
役割・役職ID:半角数字11桁以内。
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
stores
スタッフ取扱店舗
Array<object>
object
staffId
スタッフID:半角数字5桁以内。
string
storeId
店舗ID:数字9桁以内。
string
controlDivision
制御区分:スタッフの店舗制御区分(0:使用不可、 1:使用可)
string
Example
[ { "staffId": "string", "staffCode": "string", "staffName": "string", "staffNameKana": "string", "rank": "string", "displayFlag": "string", "displaySequence": "string", "loginStaffFlag": "string", "email": "test@example.com", "loginIpAddress": "string", "roleId": "string", "insDateTime": "string", "updDateTime": "string", "stores": [ { "staffId": "string", "storeId": "string", "controlDivision": "string" } ] }]